using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Result.DataCenter;

namespace GxPress.Service.Interface.PlatformData
{
    public interface IPlatformDataService : IService
    {
        /// <summary>
        /// 平台运营数据
        /// </summary>
        /// <returns></returns>
        Task<PlatformOperationDataResult> GetPlatformDataAsync();
        /// <summary>
        /// 用户总数增长趋势
        /// </summary>
        /// <returns></returns>
        Task<UserIncreaseResult> GetUserIncreaseResult();
        /// <summary>
        /// 用户地区分布
        /// </summary>
        /// <value></value>
        Task<List<UserAreaDistributingResult>> GetUserAreaDistributingResults();
        /// <summary>
        /// 会员用户占比
        /// </summary>
        /// <returns></returns>
        Task<UserVipProportionResult> GetUserVipProportionResult();
        /// <summary>
        /// 实时在线人数
        /// </summary>
        /// <returns></returns>
        Task<OnlineUserResult> GetOnlineUserResult();
        /// <summary>
        /// 平台内容数据
        /// </summary>
        /// <returns></returns>
        Task<PlatformContentDataResult> GetPlatformContentDataResult();
        /// <summary>
        /// 内容类型分布图
        /// </summary>
        /// <returns></returns>
        Task<List<ContentTypeDistributingResult>> GetContentTypeDistributingResults();
        /// <summary>
        /// 收费内容统计图
        /// </summary>
        /// <returns></returns>
        Task<PayContentstatisticsResult> GetPayContentstatisticsResult();
        /// <summary>
        /// 内容增长情况图
        /// </summary>
        /// <returns></returns>
        Task<ContentIncreaseResult> GetContentIncreaseResult();
        /// <summary>
        ///  平台累计访问数据(次)
        /// </summary>
        /// <returns></returns>
        Task<PlatformAccumulativeVisitResult> GetPlatformAccumulativeVisitResult();
        /// <summary>
        /// 平台商务数据
        /// </summary>
        /// <returns></returns>
        Task<PlatformCommerceResult> GetPlatformCommerceResult();
        /// <summary>
        /// 内容销售排行榜
        /// </summary>
        /// <returns></returns>
        Task<List<ContentSaleRankingResult>> GetContentSaleRankingResults();
        /// <summary>
        /// 内容分类销售占比
        /// </summary>
        /// <returns></returns>
        Task<List<ContentSaleProportionResult>> GetContentSaleProportionResults();
        /// <summary>
        /// 内容数据
        /// </summary>
        /// <returns></returns>
        Task<List<PlatformContentDataInfoResult>> GetPlatformContentDataInfoResults();
        /// <summary>
        ///  平台累计访问数据(次)
        /// </summary>
        /// <returns></returns>
         Task<PlatformAccumulativeVisitResult> GetPlatformTodayVisitResult();
         /// <summary>
        /// 商务数据
        /// </summary>
        /// <returns></returns>
         Task<CommerceDataResult> GetCommerceDataResult();
         Task<PlatformCommerceResult> GetPlatformTodayCommerceResult();
    }
}